Sign in to follow this  
Kibble

April 2005 SDK does not have d3dx8.h

Recommended Posts

I need to use Direct3D 8 for a project, I have d3d8.h but not d3dx8.h in the install directory for the April 2005 DX9 SDK. On my other machine, the DX 9 SDK does have d3dx8.h, I'm not sure which version it is but it is old. I'm looking for the D3D8 SDK, without any luck. What can I do about this?

Share this post


Link to post
Share on other sites
Hmm, this sucks. Oh well, I will attempt to get and install the october SDK.

Thank you.

edit: I found the october SDK, and the april update is uninstalling (I was worried that uninstalling might not be possible, I thought there was a version of the SDK you couldn't remove).

This will work fine for me, thanks again.

Share this post


Link to post
Share on other sites
Another option (which I should have mentioned earlier) is to extract the October SDK and just grab the bits you need (include and lib dir) and put them somewhere handy. Then when you do DX8 stuff you can reference those paths and still have an up-to-date DX9 if you want to play with that stuff.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this